# Checkout Configuration API

Configure Checkout on behalf of merchants.

Base path: `/v1/config`

## Upsell Configuration

- `GET /v1/config/upsell` — [List all active upsell configuration rows for a merchant](/api/partners/checkout-configuration/get-config-value-list.md)
- `PUT /v1/config/upsell` — [Upsert upsell configuration for a merchant and one or more countries](/api/partners/checkout-configuration/upsert.md)
- `DELETE /v1/config/upsell` — [Soft-delete upsell configuration for a merchant and optional country](/api/partners/checkout-configuration/delete.md)
- `GET /v1/config/country/{country}/upsell` — [Get resolved upsell configuration for a merchant and country](/api/partners/checkout-configuration/get-config-value.md)

## Sign In With

- `GET /v1/config/signInWith` — [List all active sign in with rows for a merchant](/api/partners/checkout-configuration/get-config-value-list-1.md)
- `PUT /v1/config/signInWith` — [Upsert sign in with for a merchant and one or more countries](/api/partners/checkout-configuration/upsert-1.md)
- `DELETE /v1/config/signInWith` — [Soft-delete sign in with for a merchant and optional country](/api/partners/checkout-configuration/delete-1.md)
- `GET /v1/config/country/{country}/signInWith` — [Get resolved sign in with for a merchant and country](/api/partners/checkout-configuration/get-config-value-1.md)

## Express Checkout Payment Methods

- `GET /v1/config/expressCheckoutPaymentMethods` — [List all active express checkout payment methods rows for a merchant](/api/partners/checkout-configuration/get-config-value-list-2.md)
- `PUT /v1/config/expressCheckoutPaymentMethods` — [Upsert express checkout payment methods for a merchant and one or more countries](/api/partners/checkout-configuration/upsert-2.md)
- `DELETE /v1/config/expressCheckoutPaymentMethods` — [Soft-delete express checkout payment methods for a merchant and optional country](/api/partners/checkout-configuration/delete-2.md)
- `GET /v1/config/country/{country}/expressCheckoutPaymentMethods` — [Get resolved express checkout payment methods for a merchant and country](/api/partners/checkout-configuration/get-config-value-2.md)

## Checkout Styling

- `GET /v1/config/checkoutStyling` — [List all active checkout styling rows for a merchant](/api/partners/checkout-configuration/get-config-value-list-3.md)
- `PUT /v1/config/checkoutStyling` — [Upsert checkout styling for a merchant and one or more countries](/api/partners/checkout-configuration/upsert-3.md)
- `DELETE /v1/config/checkoutStyling` — [Soft-delete checkout styling for a merchant and optional country](/api/partners/checkout-configuration/delete-3.md)
- `GET /v1/config/country/{country}/checkoutStyling` — [Get resolved checkout styling for a merchant and country](/api/partners/checkout-configuration/get-config-value-3.md)

## Analytics

- `GET /v1/config/analytics` — [List all active analytics rows for a merchant](/api/partners/checkout-configuration/get-config-value-list-4.md)
- `PUT /v1/config/analytics` — [Upsert analytics configuration for a merchant and one or more countries](/api/partners/checkout-configuration/upsert-4.md)
- `DELETE /v1/config/analytics` — [Soft-delete analytics configuration for a merchant and optional country](/api/partners/checkout-configuration/delete-4.md)
- `GET /v1/config/country/{country}/analytics` — [Get resolved analytics configuration for a merchant and country](/api/partners/checkout-configuration/get-config-value-4.md)
